EventBase::reInit
EventBuffer
EventBase
PHP Manual

# EventBase::stop

(PECL event >= 1.2.6-beta)

EventBase::stop — Tells event_base to stop dispatching events

### Description

public bool EventBase::stop ( void )

Tells event_base to stop dispatching events

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- EventBase::exit() - Stop dispatching events
- EventBase::gotStop() - Checks if the event loop was told to exit

EventBase::reInit
EventBuffer
EventBase
PHP Manual